CS::Mesh::iFurMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iFurMesh Struct Reference
Mesh plugins

State and setting for an instance of a fur mesh. More...

`#include <imesh/furmesh.h>`

Inheritance diagram for CS::Mesh::iFurMesh:

List of all members.

## Public Member Functions
virtual void | DisableMesh ()=0
| Disable the fur mesh (used for small fur when camera is at a certain distance)
virtual void | EnableMesh ()=0
| Enable the fur mesh (by default the fur mesh is enabled)
virtual void | GenerateGeometry (iView *view, iSector *room)=0
| Generates the geometry for the current instance of a fur mesh.
virtual iFurMeshMaterialProperties * | GetFurMeshProperties () const =0
| Get the associated iFurMeshMaterialProperties.
virtual void | ResetMesh ()=0
| Reset the position of the mesh on the base mesh.
virtual void | SetAnimatedMesh (CS::Mesh::iAnimatedMesh *animesh)=0
| Set the animesh.
virtual void | SetAnimationControl (CS::Animation::iFurAnimationControl *physicsControl)=0
| Set the associated CS::Animation::iFurAnimationControl.
virtual void | SetControlPointsLOD (float controlPointsLOD)=0
| Set the LOD for the control points.
virtual void | SetFurMeshProperties (iFurMeshMaterialProperties *furMeshProperties)=0
| Set the associated iFurMeshMaterialProperties.
virtual void | SetGuideLOD (float guideLOD)=0
| Set the LOD for the guide fur.
virtual void | SetLOD (float lod)=0
| Set the overall LOD.
virtual void | SetMeshFactory (CS::Mesh::iAnimatedMeshFactory *meshFactory)=0
| Set an iAnimatedMeshFactory corresponding to the iAnimatedMeshSubMeshFactory.
virtual void | SetMeshFactorySubMesh (CS::Mesh::iAnimatedMeshSubMeshFactory *meshFactorySubMesh)=0
| Set iAnimatedMeshSubMeshFactory on which fur will grow.
virtual void | SetStrandLOD (float strandLOD)=0
| Set the LOD for the fur strands.
virtual void | StartAnimationControl ()=0
| Start the associated CS::Animation::iFurAnimationControl.
virtual void | StopAnimationControl ()=0
| Stop the associated iFurAnimationControl.

## Detailed Description

State and setting for an instance of a fur mesh.

Definition at line 457 of file furmesh.h.

## Member Function Documentation

virtual void CS::Mesh::iFurMesh::DisableMesh | ( |  | ) | `[pure virtual]`

Disable the fur mesh (used for small fur when camera is at a certain distance)

virtual void CS::Mesh::iFurMesh::EnableMesh | ( |  | ) | `[pure virtual]`

Enable the fur mesh (by default the fur mesh is enabled)

virtual void CS::Mesh::iFurMesh::GenerateGeometry | ( | iView * | view,
|  | iSector * | room
| ) |  | `[pure virtual]`

Generates the geometry for the current instance of a fur mesh.

The associated iFurMeshFactory is created by this function

virtual iFurMeshMaterialProperties* CS::Mesh::iFurMesh::GetFurMeshProperties | ( |  | ) | const`[pure virtual]`

Get the associated iFurMeshMaterialProperties.

Shader variables can be obtained via the material of the iFurMeshMaterialProperties

virtual void CS::Mesh::iFurMesh::ResetMesh | ( |  | ) | `[pure virtual]`

Reset the position of the mesh on the base mesh.

Pure guide furs will stop and start being synchronized with CS::Animation::iFurAnimationControl

virtual void CS::Mesh::iFurMesh::SetAnimatedMesh | ( | CS::Mesh::iAnimatedMesh * | animesh | ) | `[pure virtual]`

Set the animesh.

virtual void CS::Mesh::iFurMesh::SetAnimationControl | ( | CS::Animation::iFurAnimationControl * | physicsControl | ) | `[pure virtual]`

Set the associated CS::Animation::iFurAnimationControl.

virtual void CS::Mesh::iFurMesh::SetControlPointsLOD | ( | float | controlPointsLOD | ) | `[pure virtual]`

Set the LOD for the control points.

It only has three level from 0 to 1.

virtual void CS::Mesh::iFurMesh::SetFurMeshProperties | ( | iFurMeshMaterialProperties * | furMeshProperties | ) | `[pure virtual]`

Set the associated iFurMeshMaterialProperties.

virtual void CS::Mesh::iFurMesh::SetGuideLOD | ( | float | guideLOD | ) | `[pure virtual]`

Set the LOD for the guide fur.

Pure guide fur is updated via the associated iFurPhysicsControl

virtual void CS::Mesh::iFurMesh::SetLOD | ( | float | lod | ) | `[pure virtual]`

Set the overall LOD.

Equivalent to calling SetGuidLOD and SetStrandLOD with the same parameter.

virtual void CS::Mesh::iFurMesh::SetMeshFactory | ( | CS::Mesh::iAnimatedMeshFactory * | meshFactory | ) | `[pure virtual]`

Set an iAnimatedMeshFactory corresponding to the iAnimatedMeshSubMeshFactory.

virtual void CS::Mesh::iFurMesh::SetMeshFactorySubMesh | ( | CS::Mesh::iAnimatedMeshSubMeshFactory * | meshFactorySubMesh | ) | `[pure virtual]`

Set iAnimatedMeshSubMeshFactory on which fur will grow.

virtual void CS::Mesh::iFurMesh::SetStrandLOD | ( | float | strandLOD | ) | `[pure virtual]`

Set the LOD for the fur strands.

Fur strands are the rendered geometry.

virtual void CS::Mesh::iFurMesh::StartAnimationControl | ( |  | ) | `[pure virtual]`

Start the associated CS::Animation::iFurAnimationControl.

Pure guide furs will be synchronized with the CS::Animation::iFurAnimationControl every frame

virtual void CS::Mesh::iFurMesh::StopAnimationControl | ( |  | ) | `[pure virtual]`

Stop the associated iFurAnimationControl.

Pure guide furs will stop being synchronized with the CS::Animation::iFurAnimationControl

The documentation for this struct was generated from the following file:

- imesh/furmesh.h